[Swift-commit] r2096 - trunk/tests/misc
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Tue Jul 8 03:27:05 CDT 2008
Author: benc
Date: 2008-07-08 03:27:05 -0500 (Tue, 08 Jul 2008)
New Revision: 2096
Added:
trunk/tests/misc/ordering-extern-notlazy.sh
Log:
forgot to commit test
Added: trunk/tests/misc/ordering-extern-notlazy.sh
===================================================================
--- trunk/tests/misc/ordering-extern-notlazy.sh (rev 0)
+++ trunk/tests/misc/ordering-extern-notlazy.sh 2008-07-08 08:27:05 UTC (rev 2096)
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+export CF=swift.properties.restart-extern
+cat $(dirname $(which swift))/../etc/swift.properties | grep --invert-match -E '^lazy.errors=' > $CF
+echo lazy.errors=false >> $CF
+
+rm -f *.rlog restart-*.out restart-extern.kml restart-extern.xml restart-*.out
+
+rm -rf _concurrent
+
+echo "localhost helperA $(pwd)/restart5-helper-success INSTALLED INTEL32::LINUX null" > tmp.restartOK.tc.data
+echo "localhost helperB $(pwd)/restart5-helper-success INSTALLED INTEL32::LINUX null" >> tmp.restartOK.tc.data
+echo "localhost helperC $(pwd)/restart5-helper-success INSTALLED INTEL32::LINUX null" >> tmp.restartOK.tc.data
+
+swift -config $CF -tc.file tmp.restartOK.tc.data restart-extern.swift -dir=`pwd`
+
+PRECHECKEXIT=$?
+
+
+if [ "$PRECHECKEXIT" != 0 ]; then
+ echo Failed - attempt to run workflow without ordering configuration failed
+ exit 1
+fi
+
+rm -f *.rlog restart-*.out restart-extern.kml restart-extern.xml
+rm -rf _concurrent
+
+# make A fail and B succeed.
+# extern dependency ordering should mean that B does not run.
+
+echo "localhost helperA $(pwd)/restart5-helper-fail INSTALLED INTEL32::LINUX null" > tmp.restartB.tc.data
+echo "localhost helperB $(pwd)/restart5-helper-success INSTALLED INTEL32::LINUX null" >> tmp.restartB.tc.data
+echo "localhost helperC $(pwd)/restart5-helper-success INSTALLED INTEL32::LINUX null" >> tmp.restartB.tc.data
+
+swift -config $CF -tc.file tmp.restartB.tc.data restart-extern.swift -dir=`pwd`
+
+SECONDEXIT=$?
+
+if [ "$SECONDEXIT" = "0" ]; then
+ echo Failed - broken apps succeeded
+ exit 2
+fi
+
+if [ -f restart-extern.2.out ] || [ -f restart-extern.1.out ]; then
+ echo Failed - output files came into existence that indicate external dependency was ignored
+ exit 3
+fi
+
+echo restart-exterm success
+exit 0
+
Property changes on: trunk/tests/misc/ordering-extern-notlazy.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the Swift-commit
mailing list